# REST API release - July 18, 2022 ## New - **Auto Receptionists** - `DELETE /v2/phone/auto_receptionists/{autoReceptionistId}` - `GET /v2/phone/auto_receptionists/{autoReceptionistId}` - **Shared Line Appearance** - `GET /v2/phone/shared_line_appearances` - **Reboot a deskphone** in **Devices** - `POST /v2/phone/devices/{deviceId}/reboot` - **Phone Numbers** - `PATCH /v2/phone/numbers/sites/{siteId}` - **Billing Account** - `GET /v2/phone/billing_accounts` - `GET /v2/phone/billing_accounts/{billingAccountId}` ## Enhancements - Field`block_type`new enum value(`threat`) in **Blocked List** API - `GET /v2/phone/blocked_list` - `POST /v2/phone/blocked_list` - `GET /v2/phone/blocked_list/{blockedListId}` - New response fields (`department`,`cost_center`) in **Call logs** API - `GET /v2/phone/call_logs` - `GET /v2/phone/call_logs/{callLogId}` - `GET /v2/phone/phone/users/{userId}/call_logs` - New field (`call_handling_forwarding_to_other_users`) in **Users** API - `GET /v2/phone/users/{userId}` - `PATCH /v2/phone/users/{userId}` ## Billing account - New`setting_type`path parameter (`billing_account`) in **Sites** API - `GET /v2/phone/sites/{siteId}/settings/{settingType}` - `PATCH /v2/phone/sites/{siteId}/settings/{settingType}` - New response field (`billing_account`) and request body field (`billing_account`) in **Settings** APIs: - `GET /v2/phone/settings` - `PATCH /v2/phone/settings` - New response fields(`billing_account_id`,`billing_account_name`) in **Common Area Phones** APIs: - `GET /v2/phone/common_area_phones` - `GET /v2/phone/common_area_phones/{commonAreaPhoneId}` - New request body field(`billing_account_id`) in**Assign calling plans to common area phone**API: - `POST /v2/phone/common_area_phones/{commonAreaPhoneId}/calling_plans` - New query parameter(`billing_account_id`) in**Unassign calling plan from a common area phone**API - `DELETE /v2/phone/common_area_phones/{commonAreaPhoneId}/calling_plans/{type}` - New response fields(`billing_account_id`,`billing_account_name`) in **Common Areas** APIs: - `GET /v2/phone/common_areas` - `GET /v2/phone/common_areas/{commonAreaId}` - New request body field(`billing_account_id`) in **Assign calling plans to a common area** API: - `POST /v2/phone/common_areas/{commonAreaId}/calling_plans` - New query parameter(`billing_account_id`) in **Unassign a calling plan from the common area** API: - `DELETE /v2/phone/common_areas/{commonAreaId}/calling_plans/{type}` - New response fields(`billing_account_id`,`billing_account_name`) in **Users** APIs: - `GET /v2/phone/users` - `GET /v2/phone/users/{userId}` - New request body field(`billing_account_id`) in **Assign calling plan to a user** API: - `POST /v2/phone/users/{userId}/calling_plans` - New query parameter(`billing_account_id`) in **Unassign user's calling plan** API: - `DELETE /v2/phone/users/{userId}/calling_plans/{type}` - New response fields(`billing_account_id`,`billing_account_name`) in **Zoom Rooms** APIs: - `GET /v2/phone/rooms` - `GET /v2/phone/rooms/{roomId}` - New request body field(`billing_account_id`) in **Assign calling plans to a Zoom Room** API: - `POST /v2/phone/rooms/{roomId}/calling_plans` - New query parameter(`billing_account_id`) in **Remove a calling plan from a Zoom Room** API: - `DELETE /v2/phone/rooms/{roomId}/calling_plans/{type}` ## Bug Fixes - Fixed the incorrect response value of the`type`attribute in **Get call log** API - `GET /v2/phone/call_logs/{callLogId}` - Added a missing field (`forwarded_by`) in webhook events - `phone.callee_ended` - `phone.callee_ringing` - Fixed an issue where the user call handling setting is not synchronized when a device is assigned to the user - `PATCH /v2/phone/devices/{deviceId}` - Fixed so the error message notification triggers when passing non-existing audio IDs in the **Update the site setting** API - `PATCH /v2/phone/sites/{siteId}/settings/{settingType}`